Index: flashchips.c
===================================================================
--- flashchips.c	(revision 695)
+++ flashchips.c	(working copy)
@@ -1392,10 +1392,43 @@
 		.erase		= spi_chip_erase_60_c7,
 		.write		= spi_chip_write_256,
 		.read		= spi_chip_read,
+	},	
+	
+	{
+		.vendor		= "Macronix",
+		.name		= "MX29F001B",
+		.bustype	= CHIP_BUSTYPE_PARALLEL,
+		.manufacture_id	= MX_ID,
+		.model_id	= MX_29F001B,
+		.total_size	= 128,
+		.page_size	= 32 * 1024,
+		.tested		= TEST_UNTESTED,
+		.probe		= probe_29f002,
+		.probe_timing	= TIMING_IGNORED, /* routine don't use probe_timing (mx29f002.c) */
+		.erase		= erase_29f002,
+		.write		= write_29f002,
+		.read		= read_memmapped,
 	},
 
+
 	{
 		.vendor		= "Macronix",
+		.name		= "MX29F001T",
+		.bustype	= CHIP_BUSTYPE_PARALLEL,
+		.manufacture_id	= MX_ID,
+		.model_id	= MX_29F001T,
+		.total_size	= 128,
+		.page_size	= 32 * 1024,
+		.tested		= TEST_OK_PREW,
+		.probe		= probe_29f002,
+		.probe_timing	= TIMING_IGNORED, /* routine don't use probe_timing (mx29f002.c) */
+		.erase		= erase_29f002,
+		.write		= write_29f002,
+		.read		= read_memmapped,
+	},
+	
+	{
+		.vendor		= "Macronix",
 		.name		= "MX29F002B",
 		.bustype	= CHIP_BUSTYPE_PARALLEL,
 		.manufacture_id	= MX_ID,
Index: flashchips.h
===================================================================
--- flashchips.h	(revision 695)
+++ flashchips.h	(working copy)
@@ -262,6 +262,8 @@
 #define MX_25L12805		0x2018	/* MX25L12805 */
 #define MX_25L1635D		0x2415
 #define MX_25L3235D		0x5E16	/* MX25L3225D/MX25L3235D/MX25L3237D */
+#define MX_29F001T		0x18
+#define MX_29F001B		0x19
 #define MX_29F002B		0x34	/* Same as MX29F002NB */
 #define MX_29F002T		0xB0	/* Same as MX29F002NT */
 #define MX_29F004B		0x46
